﻿@import url("Sprites/sprites.css");
@import url("Fonts/ubuntu/ubuntu.css");
@import url("Fonts/opensans/opensans.css");
@import url("Fonts/veramono/veramono.css");

body,
pre
{
    font-family: 'Open Sans', Sans-Serif;
    font-size: 15px;
    line-height: 1.45em;
    color: black; 
}

img
{
    border: none;
}

a
{
    color : #059;
    text-decoration : none;
}

a:hover
{
    color : #fc0;
}

a.button:hover
{
    color: inherit;
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Ubuntu', sans-serif;
    line-height: 1.1em;
    letter-spacing: -0.05em;    
    margin: 0 0 0.5em 0;
    color: #333;    
}

h1 {
    font-size: 4em;
    font-weight: bold;
}

h2 {
    font-size: 3em;
}

h3 {
    font-size: 2.5em;
}

h4 {
    font-size: 2em;
}

h5 {
    font-size: 1.5em;
}

h6 {
    font-size: 1.2em;
}

fieldset
{
    padding : 10px;
    border : 1px solid silver;
    margin : 10px 0px;
}

legend
{
    font-weight : 600;
    padding-bottom : 10px;
}

strong
{
    font-weight : 600;
}

hr
{
    border : 0px;
    height : 1px;
    background: silver;
}

ul {
    list-style: none;
    margin : 0px;    
    padding-left : 1.6em;
}

ol
{
    padding-left : 1.6em;
}

li
{
    position : relative;
    margin : 10px 0px;
}

ul li:before {
    color : #fc0;
    content : "\25C9";
    font-size : 1.2em; 
    padding-right : .25em;
    position : absolute;
    left : -1.4em;
}

ul.padded li
{
    margin : 10px 0px;
}

ul.inline
{
    display : block;
    margin : 0;
    padding : 0;
    list-style-type : none;
}

ul.inline li
{
    margin : 0;
    padding: 0;  
    display : inline;  
    margin-right: 1em;
    white-space: nowrap;
}

ul.inline li:before 
{
    content: normal;
}

dl dt {
    font-weight: normal;
}

dl dd {
    font-weight: 600;
    margin: 5px 0 20px 0;
}

table.dl
{
    width: auto;
}

table.dl td, table.dl th 
{
    border: none;
    padding: 0 20px 0 0;
}

table.dl th 
{
    font-weight: normal;
}

table.dl td
{
    font-weight: 600;
}

/* Subtext ----------------------------------------- */
.sub {
    position: relative;
    font-size: 0.6em;
    top: 0.4em;
}

.large
{
    font-size : 1.8em;
    line-height : normal;
    color : #666;
}

.small
{
    font-size : 0.8em;
    line-height : normal;
}

/* Standard tables ----------------------------------- */

table
{
    border-collapse: collapse;
    margin: 10px 0;
    width: 100%;
}

td,
th
{
    border: 1px solid #e9e9e9;
    padding: 5px;
    text-align: left;
    vertical-align: middle;
}

table.borderless td,
table.borderless th
{
    padding-left : 0px;
    border : none;
}

th
{
    font-weight : 600;
    color : #333; 
    border-bottom : 2px solid #666;       
}

tr.footer th, th.footer, 
tfoot th, tfoot td {
    border-bottom: 1px solid #e9e9e9;
    border-top: 2px solid #666;
}

th.horizontal
{
    border-bottom : 1px solid #e9e9e9;   
}

table .left
{
    text-align : left;
}

table .center
{
    text-align : center;
}

table .right
{
    text-align : right;
}

tr.odd
{
    background : rgba(0,0,0,0.2);
}

/* Form elements ------------------------------------------- */

label
{
    display : block;
    margin : 10px 0px 5px 0px;
}

label.required
{
    font-weight : 600;
}

textarea, select
{
    width: 200px;
    border: 1px solid #ccc;
    color : #444;
    font-family: 'Open Sans', Arial, Helvetica, Sans-Serif;  
    font-size : 14px;
    line-height : 22px;
}

textarea
{
    padding : 5px;
    margin : 5px 0px;  
    height : 100px;  
}

select 
{
    width : 210px;
    padding : 5px;
}

*[readonly=readonly]
{
    background : white;
}

.readonly
{
    background : white;
}

input[type=text], input[type=password]
{
    width: 200px;
    border: 1px solid #CCCCCC;
    font-family: 'Open Sans', Arial, Helvetica, Sans-Serif;  
    padding : 5px;
}

input[type=text].large
{
    width : 100%; 
    box-sizing : border-box;
    font-size : 18px;
}


input.checkbox
{
    position : relative;
    top : 3px;
}


.button
{
    margin: 2px 0;
}

.button.small
{
    font-size : 12px;
}

.button.big
{
    font-size : 20px;
}

/* Miscellaneous Styles ----------------------------------- */
 
.todo
{
    background : white url('/Content/Images/warning.png') repeat-y left;
    border : 1px solid gray;
    padding : 5px 5px 5px 10px;
    font-weight : 600;
}

.highlight 
{
    background: #fe2;
    color: black;
}

.clear
{
    clear : both;
}

pre, code, .code
{
    font-family : Courier New, System;
    color : #000099;
}

.error
{
    color: red;
    font-weight : 600;
}


ul.ui-tabs-nav li:before {
    content : none;
}

.ui-tabs .ui-tabs-panel
{
    padding: 5px !important;
}

.ui-widget-content a
{
    color : #39f;
}

.ui-widget-content a:hover:not(.ui-state-hover)
{
    color : #fc0;
}

/* Pulse ---------------------------- */

.pulse {
    box-shadow: 0 0 0 #fc0;
    animation: goldpulse 2s infinite;
    transform: translate3d(0, 0, 0);
}

@-webkit-keyframes goldpulse {
    0% {
        -webkit-box-shadow: 0 0 0 0 #fc0;
    }

    70% {
        -webkit-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
    }

    100% {
        -webkit-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
    }
}

@keyframes goldpulse {
    0% {
        -moz-box-shadow: 0 0 0 0 #fc0;
        box-shadow: 0 0 0 0 #fc0;
    }

    70% {
        -moz-box-shadow: 0 0 0 10px rgba(204,169,44, 0);
        box-shadow: 0 0 0 10px rgba(204,169,44, 0);
    }

    100% {
        -moz-box-shadow: 0 0 0 0 rgba(204,169,44, 0);
        box-shadow: 0 0 0 0 rgba(204,169,44, 0);
    }
}